# Class: vector\_3d

Represents a 3-dimensional vector.
Most functions do not use the 'y' (height) value at all

## Table of contents

### Constructors

- [constructor](vector_3d.md#constructor)

### Properties

- [x](vector_3d.md#x)
- [y](vector_3d.md#y)
- [z](vector_3d.md#z)

## Constructors

### constructor

\+ **new vector_3d**(): [*vector\_3d*](vector_3d.md)

**Returns:** [*vector\_3d*](vector_3d.md)

## Properties

### x

• **x**: *number*

___

### y

• **y**: *number*

___

### z

• **z**: *number*
